import path_setting
from in_common.base_request import BaseRequest

class thirdphonelogin_request(BaseRequest):

    def __init__(self):

        self.thirdphonelogin = self.api_load(path_setting.THIRD_PHONE_LOGIN_CONFIG)

    def thirdphone_login(self,version,phone_data,phone_from_type):

        self.params["version"] = version
        self.params["phone_data"] = phone_data
        self.params["phone_from_type"] = phone_from_type

        return self.api_send(self.thirdphonelogin["login_thirdphone"])

